package org.apache.bcel.classfile;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.bcel.classfile.AnnotationEntry;
import org.apache.bcel.classfile.ConstantPool;
import org.apache.bcel.classfile.ElementValue;

public class AnnotationElementValue extends ElementValue {
  private final AnnotationEntry annotationEntry;
  
  public AnnotationElementValue(int type, AnnotationEntry annotationEntry, ConstantPool cpool) {
    super(type, cpool);
    if (type != 64)
      throw new IllegalArgumentException("Only element values of type annotation can be built with this ctor - type specified: " + type); 
    this.annotationEntry = annotationEntry;
  }
  
  public void dump(DataOutputStream dos) throws IOException {
    dos.writeByte(getType());
    this.annotationEntry.dump(dos);
  }
  
  public AnnotationEntry getAnnotationEntry() {
    return this.annotationEntry;
  }
  
  public String stringifyValue() {
    return this.annotationEntry.toString();
  }
  
  public String toString() {
    return stringifyValue();
  }
}
